Skip to main content
GET
/
projects
/
{projectIdOrName}
/
operations
/
{operationId}
Get an operation
curl --request GET \
  --url https://api.withampersand.com/v1/projects/{projectIdOrName}/operations/{operationId} \
  --header 'X-Api-Key: <api-key>'
{
  "projectId": "project-456",
  "integrationId": "<string>",
  "configId": "config-123",
  "actionType": "read",
  "id": "<string>",
  "installationId": "<string>",
  "status": "success",
  "result": "[contact] No new data found",
  "metadata": {
    "objects": [
      "contact"
    ],
    "progress": {
      "installationId": "66438162-5299-4669-a41d-85c5a3b1a83e",
      "objectName": "contact",
      "operationId": "3efc0f0f-4bb9-498f-996c-9893d98ca4b5",
      "recordsProcessed": 1250,
      "recordsEstimatedTotal": 5000
    }
  },
  "createTime": "2023-07-13T21:34:44.816354Z"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

The Ampersand project ID or project name.

operationId
string
required

Operation ID.

Response

Operation

projectId
string
required

The Ampersand project ID.

Example:

"project-456"

integrationId
string
required

The integration ID.

configId
string
required

The config ID.

Example:

"config-123"

actionType
string
required

The type of action that was performed (read, write, or subscribe).

Example:

"read"

id
string
required

Unique identifier for this operation. Use this to fetch operation details or list logs for debugging.

installationId
string
required

The Ampersand installation ID (customer instance) that this operation ran for.

status
string
required

The status of the operation.

  • success: The operation completed successfully
  • failure: The operation failed
  • in_progress: The operation is currently running
Example:

"success"

result
string

A human-readable summary of what the operation accomplished. Examples: [contact] No new data found, Batch write completed (3 succeeded, 1 failed). May be absent.

Example:

"[contact] No new data found"

metadata
object

Additional operation details. May include objects (array of object names), retry (retry attempt info), and progress (backfill progress with recordsProcessed, recordsEstimatedTotal) for backfill read operations.

Example:
{
"objects": ["contact"],
"progress": {
"installationId": "66438162-5299-4669-a41d-85c5a3b1a83e",
"objectName": "contact",
"operationId": "3efc0f0f-4bb9-498f-996c-9893d98ca4b5",
"recordsProcessed": 1250,
"recordsEstimatedTotal": 5000
}
}
createTime
string<date-time>

The time the operation was created.

Example:

"2023-07-13T21:34:44.816354Z"